%define	rname	network-manager-applet
%define	major	0
%define libname %mklibname nm-gtk %{major}
%define develname %mklibname nm-gtk -d

Name:		networkmanager-applet
Summary:	Network connection manager applet for GNOME
Version:	0.9.10.0
Release:	1
Group:		System/Configuration/Networking
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.9/%{rname}-%{version}.tar.xz
Source1:	50-nm_applet.pkla
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libnm-glib) >= %{version}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{version}
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	networkmanager >= %{version}
Requires:	gtk+3
Requires:	iso-codes

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for GNOME's notification area
but it also works for other desktop environments which provide a system
tray like KDE or XFCE. It displays the available networks and allows to
easily switch between them. For encrypted networks it will prompt the user
for the key/passphrase and it can optionally store them in the
gnome-keyring.

%package -n %{libname}
Group:      System/Libraries
Summary:    %{summary}

%description -n %{libname}
Library from %{name}-gtk

%package -n %{develname}
Group:      Development/C
Summary:    Development libraries and header files from %{name}
Requires:   %{libname} = %{EVRD}

%description -n %{develname}
%{name}-gtk development headers and libraries.

%prep
%setup -qn %{rname}-%{version}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-more-warnings=no \
	--without-bluetooth \
	--with-gtkver=3

%make

%install
%makeinstall_std

mkdir -p %{buildroot}/%{_sysconfdir}/polkit-1/localauthority/50-local.d/
install -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/polkit-1/localauthority/50-local.d/

%find_lang nm-applet

%files -f nm-applet.lang
%doc ChangeLog CONTRIBUTING
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_libexecdir}/nm-applet-migration-tool
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%dir %{_datadir}/nm-applet/
%{_datadir}/nm-applet/*.png
%{_datadir}/nm-applet/*.ui
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/libnm-gtk/wifi.ui
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nm_applet.pkla
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*

%files -n %{libname}
%{_libdir}/libnm-gtk.so.%{major}*

%files -n %{develname}
%{_includedir}/libnm-gtk/*
%{_libdir}/libnm-gtk.so
%{_libdir}/pkgconfig/libnm-gtk.pc


%changelog
* Tue Sep 09 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.9.10.0-1
+ Revision: 326b996
- Updated to 0.9.10.0


